Production (SLF4J 1.7.4 Test API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.slf4j.cal10n_dummy
Enum Production

    java.lang.Object
      java.lang.Enum<Production>
          org.slf4j.cal10n_dummy.Production

All Implemented Interfaces:
  Serializable, Comparable<Production>

    public enum Production

extends Enum<Production>

Enum Constant Summary
`APPLICATION_STARTED`
`APPLICATION_STOPPED`
`DB_CONNECTION`
`DB_CONNECTION_FAILURE`

Method Summary
`static Production` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Production[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### APPLICATION_STARTED

    public static final Production APPLICATION_STARTED

### APPLICATION_STOPPED

    public static final Production APPLICATION_STOPPED

### DB_CONNECTION

    public static final Production DB_CONNECTION

### DB_CONNECTION_FAILURE

    public static final Production DB_CONNECTION_FAILURE

Method Detail

### values

    public static Production[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Production c : Production.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Production valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.